<template>
  Name: <input type="text" v-model="name">
  Email: <input type="text" v-model="email">
  Mot de passe :<input type="password" v-model="password">
<button class="btn btn-primary m-1" @click="register">Submit</button>

    {{ error }}
    {{ success }}


</template>

<script>
import axios from "axios";
import { useStore } from '../store/store';


export default {
    name: 'Register',
    components: {
    },
    data() {
        return {
            name: '',
            email: '',
            password: '',
            error: '',
            success: '',
        }
    },
    methods: {
        register() {
            const formData = new FormData();
            formData.append('file', this.profilPic)
            console.log(formData)
            // console.log(this.name, this.email, this.password)
            axios.post('http://localhost:3500/api/user/register', {
                formData,
                name: this.name,
                email: this.email,
                password: this.password,
            })
                .then(response => {
                console.log(response)
                const { fetchCurrentUser } = useStore()
                    fetchCurrentUser(response.data.user._id)
                localStorage.setItem('token', response.data.token)
                localStorage.setItem('user', response.data.user._id)
                
                this.error = ''
                this.$router.push('/')
                })
                .catch(error => {
                console.log(error.response)
                this.error = error.response.data.error
                })
        }
    }
}
</script>

<style scoped>

</style>